import BaseCurdApi from './BaseCurdApi'

class PrintCodeApi extends BaseCurdApi {
  constructor () {
    super('/print/code')
  }

  getPrintCode = (id) => this.api({
    url: `${this.basePath}/list/${id}`,
    method: 'GET'
  })

  rePrint = (data) => this.api({
    url: `${this.basePath}/reprint/send`,
    method: 'POST',
    data
  })
}

export default new PrintCodeApi()
